# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    versionfile = get_file_properties(r'mpam-fe.exe')['ProductVersion']

    if get_windows_defender_version() < versionfile:
        run('mpam-fe.exe')
    if get_windows_defender_version() < versionfile:
        error('AntivirusSignatureVersion not in %s' % versionfile)

    prefix = control.package.split('-')[0]
    if WAPT.is_installed('%s-audit-antivirus' % prefix):
        WAPT.audit('%s-audit-antivirus' % prefix,force=True)

def audit():
    if get_windows_defender_version() < control.get_software_version():
        error('AntivirusSignatureVersion not in %s' % versionfile)
    return "OK"

def get_windows_defender_version():
    for i in get_antivirus_info():
        if not i["name"] == "Windows Defender":
            continue
        return Version(i['AntivirusSignatureVersion'])
    return Version('0')
